------------------------------------------------------
-- Gemologist_ItemInfo.lua
-- Based on info from http://wow.allakhazam.com
------------------------------------------------------
-- LOCALIZATION: nothing locale-specific here (the recipe names are all in comments)
------------------------------------------------------

FGO_ItemInfo = {

	[774]	= { "FGO_COPPER" },												-- Malachite
	[818]	= { "FGO_COPPER" },												-- Tigerseye
	[1206]	= { "FGO_TIN", "FGO_SILVER" },									-- Moss Agate
	[1210]	= { "FGO_COPPER", "FGO_TIN", "FGO_SILVER" },					-- Shadowgem
	[1529]	= { "FGO_TIN", "FGO_IRON", "FGO_GOLD" },						-- Jade
	[1705]	= { "FGO_TIN", "FGO_SILVER", "FGO_IRON", "FGO_GOLD" },			-- Lesser Moonstone
	[3864]	= { "FGO_IRON", "FGO_GOLD", "FGO_MITHRIL", "FGO_TRUESILVER" },  -- Citrine
	[7909]	= { "FGO_IRON", "FGO_MITHRIL", "FGO_TRUESILVER" },				-- Aquamarine
	[7910]	= { "FGO_MITHRIL", "FGO_TRUESILVER", "FGO_THORIUM" },			-- Star Ruby
	[9262]	= { "FGO_MITHRIL", "FGO_THORIUM" },								-- Black Vitriol
	[11382]	= { "FGO_DARKIRON" },											-- Blood of the Mountain
	[11754]	= { "FGO_DARKIRON" },											-- Black Diamond
	[19774]	= { "FGO_ZG_THORIUM" },											-- Souldarite
	[12361]	= { "FGO_THORIUM" },											-- Blue Sapphire
	[12800]	= { "FGO_THORIUM" },											-- Azerothian Diamond
	[12364]	= { "FGO_THORIUM" },											-- Huge Emerald
	[12799]	= { "FGO_THORIUM" },											-- Large Opal
	[12363]	= { "FGO_RICH_THORIUM" },										-- Arcane Crystal
	
-- Burning Crusade content
	-- uncommon socket mats
	[21929]	= { "FGO_FEL_IRON", "FGO_ADAMANTITE", "FGO_KHORIUM" },			-- Flame Spessarite
	[23077]	= { "FGO_FEL_IRON", "FGO_ADAMANTITE", "FGO_KHORIUM" },			-- Blood Garnet
	[23079]	= { "FGO_FEL_IRON", "FGO_ADAMANTITE", "FGO_KHORIUM" },			-- Deep Peridot
	[23107]	= { "FGO_FEL_IRON", "FGO_ADAMANTITE", "FGO_KHORIUM" },			-- Shadow Draenite
	[23112]	= { "FGO_FEL_IRON", "FGO_ADAMANTITE", "FGO_KHORIUM" },			-- Golden Draenite
	[23117]	= { "FGO_FEL_IRON", "FGO_ADAMANTITE", "FGO_KHORIUM" },			-- Azure Moonstone

	-- rare socket mats
	[23437]	= { "FGO_RICH_ADAMANTITE", "FGO_KHORIUM" },						-- Talasite
	[23439]	= { "FGO_RICH_ADAMANTITE", "FGO_KHORIUM" },						-- Noble Topaz
	[23436]	= { "FGO_RICH_ADAMANTITE", "FGO_KHORIUM" },						-- Living Ruby
	[23440]	= { "FGO_RICH_ADAMANTITE", "FGO_KHORIUM" },						-- Dawnstone
	[23438]	= { "FGO_RICH_ADAMANTITE", "FGO_KHORIUM" },						-- Star of Elune
	[23441]	= { "FGO_RICH_ADAMANTITE", "FGO_KHORIUM" },						-- Nightseye
	
};

FGO_ProspectInfo = {
	[23425]	= {																-- Adamantite Ore
		21929, 23077, 23079, 23107, 23112, 23117,	-- uncommon socket mats
		23437, 23439, 23436, 23440, 23438, 23441,	-- rare socket mats
	},
	[23424]	= {																-- Fel Iron Ore
		21929, 23077, 23079, 23107, 23112, 23117,	-- uncommon socket mats
		23437, 23439, 23436, 23440, 23438, 23441,	-- rare socket mats
	},
	[10620]	= {																-- Thorium Ore
		21929, 23077, 23079, 23107, 23112, 23117,	-- uncommon socket mats
		12799, 12364, 12361, 12800, 				-- Large Opal, Huge Emerald, Blue Sapphire, Azerothian Diamond
		7910,										-- Star Ruby
	},
	[3858]	= {																-- Mithril Ore
		12799, 12364, 12361, 12800, 				-- Large Opal, Huge Emerald, Blue Sapphire, Azerothian Diamond
		7910, 7909, 3864,							-- Star Ruby, Aquamarine, Citrine
	},
	[2772]	= {																-- Iron Ore
		7910, 7909, 3864,							-- Star Ruby, Aquamarine, Citrine
		1529, 1705,									-- Jade, Lesser Moonstone
	},
	[2771]	= {																-- Tin Ore
		7909, 3864,									-- Aquamarine, Citrine
		1529, 1705,									-- Jade, Lesser Moonstone
		1210, 1206,									-- Shadowgem, Moss Agate
	},
	[2770]	= {																-- Copper Ore
		1210, 774, 818,								-- Shadowgem, Malachite, Tigerseye
	},
};

FGO_UncommonGemNames = {
	[774]	= FGO_MALACHITE,
	[818]	= FGO_TIGERSEYE,
	[1206]	= FGO_MOSS_AGATE,
	[1210]	= FGO_SHADOWGEM,
	[1529]	= FGO_JADE,
	[1705]	= FGO_LESSER_MOONSTONE,
	[3864]	= FGO_CITRINE,
	[7909]	= FGO_AQUAMARINE,
	[7910]	= FGO_STAR_RUBY,
	[12361]	= FGO_BLUE_SAPPHIRE,
	[12800]	= FGO_AZEROTHIAN_DIAMOND,
	[12364]	= FGO_HUGE_EMERALD,
	[12799]	= FGO_LARGE_OPAL,

	[21929]	= FGO_FLAME_SPESSARITE,
	[23077]	= FGO_BLOOD_GARNET,
	[23079]	= FGO_DEEP_PERIDOT,
	[23107]	= FGO_SHADOW_DRAENITE,
	[23112]	= FGO_GOLDEN_DRAENITE,
	[23117]	= FGO_AZURE_MOONSTONE,
};

FGO_RareGemNames = {
	[23437]	= FGO_TALASITE,
	[23439]	= FGO_NOBLE_TOPAZ,
	[23436]	= FGO_LIVING_RUBY,
	[23440]	= FGO_DAWNSTONE,
	[23438]	= FGO_STAR_OF_ELUNE,
	[23441]	= FGO_NIGHTSEYE,
};